test whether linker supports --warn-common